<?xml version="1.0" encoding="utf-8"?>
<Properties>
  <SerializedObject key="AddInManager2.PackageRepositories">
    <x:Array Type="x:String" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
      <x:String>SharpDevelop AddIn Repository=https://www.myget.org/F/sharpdevelop/</x:String>
    </x:Array>
  </SerializedObject>
  <Property key="CoreProperties.UILanguage">en</Property>
  <Property key="ICSharpCode.UsageDataCollector.Enabled">False</Property>
  <Property key="AddInManager2.WindowBounds">391,141,640,480</Property>
  <Property key="ICSharpCode.SharpDevelop.Gui.ProjectBrowser.ShowExtensions">True</Property>
  <Property key="SharpDevelop.UI.CurrentAmbience">C#</Property>
  <Property key="ICSharpCode.SharpDevelop.Gui.StatusBarVisible">True</Property>
  <Property key="ICSharpCode.SharpDevelop.Gui.ToolBarVisible">True</Property>
  <Property key="ICSharpCode.SharpDevelop.Gui.UseProfessionalRenderer">False</Property>
  <Property key="SharpDevelop.UI.UseProjectAmbience">True</Property>
  <Properties key="CodeCoverage.Options">
    <Property key="VisitedForeColor">0, 0, 0</Property>
    <Property key="VisitedColor">0, 255, 0</Property>
  </Properties>
  <Properties key="SharpDevelop.UI.OutputWindowOptions">
    <Property key="WordWrap">False</Property>
    <Property key="FontFamily">Consolas</Property>
    <Property key="FontSize">13</Property>
  </Properties>
  <Properties key="SharpDevelop.UI.CodeGenerationOptions">
    <Property key="StartBlockOnSameLine">False</Property>
    <Property key="ElseOnClosing">False</Property>
    <Property key="BlankLinesBetweenMembers">True</Property>
    <Property key="UseFullyQualifiedNames">True</Property>
    <Property key="GenerateDocumentComments">False</Property>
    <Property key="GenerateAdditionalComments">False</Property>
  </Properties>
  <Properties key="CodeCompletionOptions">
    <Property key="EnableCC">True</Property>
    <Property key="DataUsageCacheEnabled">True</Property>
    <Property key="DataUsageCacheItemCount">500</Property>
    <Property key="TooltipsEnabled">True</Property>
    <Property key="TooltipsOnlyWhenDebugging">False</Property>
    <Property key="CompleteWhenTyping">True</Property>
    <Property key="KeywordCompletionEnabled">True</Property>
    <Property key="InsightEnabled">False</Property>
    <Property key="InsightRefreshOnComma">True</Property>
    <Property key="CommitOnTabEnterOnly">True</Property>
    <Property key="TooltipLinkTarget">Documentation</Property>
  </Properties>
  <Properties key="HexEditorOptions">
    <Property key="BytesPerLine">16</Property>
    <Property key="OffsetFont">Courier New, 9.5pt</Property>
    <Property key="DataFont">Courier New, 9.5pt</Property>
  </Properties>
  <Properties key="ICSharpCode.Svn.Options">
    <Property key="AutomaticallyAddFiles">True</Property>
    <Property key="AutomaticallyDeleteFiles">True</Property>
    <Property key="AutomaticallyRenameFiles">True</Property>
    <Property key="AutomaticallyReloadProject">True</Property>
    <Property key="UseHistoryDisplayBinding">True</Property>
  </Properties>
  <Property key="SharpDevelop.BuildParallelProjectCount">1</Property>
  <Property key="SharpDevelop.BuildOnExecute">RegularBuild</Property>
  <Property key="SharpDevelop.DefaultBuildOutputVerbosity">Normal</Property>
  <Property key="SharpDevelop.LoadPrevProjectOnStartup">True</Property>
  <Array key="SharpDevelop.TaskListTokens">
    <Element>TODO</Element>
    <Element>FIXME</Element>
  </Array>
  <Array key="CodeSnippets">
    <SerializedObject>
      <CodeSnippetGroup Extensions=".cs" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn.Snippets;assembly=ICSharpCode.AvalonEdit.AddIn">
        <CodeSnippetGroup.Snippets>
          <CodeSnippet Description="for loop" Keyword="for" Name="for" Text="for (int ${counter=i} = 0; ${counter} &lt; ${end}; ${counter}++)&#xA;{&#xA;&#x9;${Selection}&#xA;}" />
          <CodeSnippet Description="foreach loop" Keyword="foreach" Name="foreach" Text="foreach (${var} ${element} in ${collection})&#xA;{&#xA;&#x9;${Selection}&#xA;}" />
          <CodeSnippet Description="if statement" Keyword="if" Name="if" Text="if (${condition})&#xA;{&#xA;&#x9;${Selection}&#xA;}" />
          <CodeSnippet Description="if-else statement" Keyword="if" Name="ifelse" Text="if (${condition})&#xA;{&#xA;&#x9;${Selection}&#xA;}&#xA;else&#xA;{&#xA;&#x9;${Caret}&#xA;}" />
          <CodeSnippet Description="if-not-null statement" Keyword="if" Name="ifnotnull" Text="if (${condition} != null)&#xA;{&#xA;&#x9;${Selection}&#xA;}" />
          <CodeSnippet Description="if-null statement" Keyword="if" Name="ifnull" Text="if (${condition} == null)&#xA;{&#xA;&#x9;${Selection}&#xA;}" />
          <CodeSnippet Description="Dependency Property" Keyword="event" Name="propdp" Text="public static readonly DependencyProperty ${name}Property =&#xA;&#x9;DependencyProperty.Register(&quot;${name}&quot;, typeof(${type}), typeof(${ClassName}),&#xA;&#x9;                            new FrameworkPropertyMetadata());&#xA;&#xA;public ${type=int} ${name=Property}&#xA;{&#xA;&#x9;get { return (${type})GetValue(${name}Property); }&#xA;&#x9;set { SetValue(${name}Property, value); }&#xA;}${Caret}" />
          <CodeSnippet Description="Property with backing field" Keyword="event" Name="propfull" Text="${type} ${toFieldName(name)};&#xA;&#xA;public ${type=int} ${name=Property}&#xA;{&#xA;&#x9;get { return ${toFieldName(name)}; }&#xA;&#x9;set { ${toFieldName(name)} = value; }&#xA;}${Caret}" />
          <CodeSnippet Description="Switch statement" Keyword="switch" Name="switch" Text="switch (${condition})&#xA;{&#xA;&#x9;${Caret}&#xA;}" />
          <CodeSnippet Description="Try-catch statement" Keyword="try" Name="try" Text="try&#xA;{&#xA;&#x9;${Selection}&#xA;}&#xA;catch (Exception)&#xA;{&#xA;&#x9;${Caret}&#xA;&#x9;throw;&#xA;}" />
          <CodeSnippet Description="Try-catch-finally statement" Keyword="try" Name="trycf" Text="try&#xA;{&#xA;&#x9;${Selection}&#xA;}&#xA;catch (Exception)&#xA;{&#xA;&#x9;${Caret}&#xA;&#x9;throw;&#xA;} finally {&#xA;&#x9;&#xA;}" />
          <CodeSnippet Description="Try-finally statement" Keyword="try" Name="tryf" Text="try&#xA;{&#xA;&#x9;${Selection}&#xA;}&#xA;finally&#xA;{&#xA;&#x9;${Caret}&#xA;}" />
          <CodeSnippet Description="Using statement" Keyword="try" Name="using" Text="using (${resource=null})&#xA;{&#xA;&#x9;${Selection}&#xA;}" />
          <CodeSnippet Description="while loop" Keyword="while" Name="while" Text="while (${condition})&#xA;{&#xA;&#x9;${Selection}&#xA;}" />
        </CodeSnippetGroup.Snippets>
      </CodeSnippetGroup>
    </SerializedObject>
    <SerializedObject>
      <CodeSnippetGroup Extensions=".vb" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn.Snippets;assembly=ICSharpCode.AvalonEdit.AddIn" />
    </SerializedObject>
  </Array>
  <SerializedObject key="CodeEditorOptions">
    <CodeEditorOptions CutCopyWholeLine="False" EnableChangeMarkerMargin="False" EnableFolding="False" EnableQuickClassBrowser="False" FontFamily="Consolas" UseSmartIndentation="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn.Options;assembly=ICSharpCode.AvalonEdit.AddIn" />
  </SerializedObject>
  <Property key="FormsDesigner.DesignerOptions.PropertyGridSortAlphabetical">False</Property>
  <Property key="FormsDesigner.DesignerOptions.UseOptimizedCodeGeneration">True</Property>
  <Property key="FormsDesigner.DesignerOptions.ObjectBoundSmartTagAutoShow">True</Property>
  <Property key="FormsDesigner.DesignerOptions.EnableInSituEditing">True</Property>
  <Property key="FormsDesigner.DesignerOptions.UseSmartTags">True</Property>
  <Property key="FormsDesigner.DesignerOptions.InsertTodoComment">False</Property>
  <Property key="FormsDesigner.DesignerOptions.GenerateVisualStudioStyleEventHandlers">False</Property>
  <Property key="FormsDesigner.DesignerOptions.SnapToGridMode">False</Property>
  <Property key="FormsDesigner.DesignerOptions.UseSnapLines">False</Property>
  <Property key="FormsDesigner.DesignerOptions.ShowGrid">True</Property>
  <Property key="FormsDesigner.DesignerOptions.SnapToGrid">True</Property>
  <Property key="FormsDesigner.DesignerOptions.GridSizeWidth">8</Property>
  <Property key="FormsDesigner.DesignerOptions.GridSizeHeight">8</Property>
  <Property key="FormsDesigner.DesignerOptions.DefaultLocalizationModel">PropertyReflection</Property>
  <Property key="FormsDesigner.DesignerOptions.KeepLocalizationModel">True</Property>
  <Property key="AddInManager2.AutoSearchForUpdates">False</Property>
  <Property key="Dialogs.NewProjectDialog.LastSelectedCategory">C#\Windows Applications</Property>
  <Property key="Dialogs.NewProjectDialog.CategoryTreeState">[C#[]]</Property>
  <Property key="Dialogs.NewProjectDialog.LargeImages">True</Property>
  <Property key="Dialogs.NewProjectDialog.TargetFramework">v4.0</Property>
  <Properties key="ErrorListPad">
    <Property key="ShowWarnings">True</Property>
    <Property key="ShowErrors">True</Property>
    <Property key="ShowMessages">True</Property>
  </Properties>
  <Array key="Debugger.ExceptionFilterList">
    <SerializedObject>
      <ExceptionFilterEntry Expression="System.Exception" IsActive="True" xmlns="clr-namespace:Debugger;assembly=Debugger.Core" />
    </SerializedObject>
  </Array>
  <Property key="AddInManager2.ShowPreinstalledAddIns">True</Property>
  <Property key="Dialogs.NewFileDialog.CategoryViewState">[]</Property>
  <Property key="Dialogs.NewFileDialog.LastSelectedCategory">C#</Property>
  <Property key="Dialogs.NewFileDialog.LastSelectedTemplate">${res:Templates.File.EmptyFile.Name}</Property>
  <Property key="DebuggeeExceptionForm">253, 125, 1017, 448</Property>
  <Property key="ICSharpCode.SharpDevelop.Gui.SearchAndReplaceDialog.Location">768, 156</Property>
  <Property key="Debugger.BreakAtBeginning">False</Property>
  <Property key="Debugger.DebuggeeExceptionWindowState">Normal</Property>
  <Array key="CustomizedHighlightingRules">
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FFFF0000" Italic="False" Language="C#" Name="OperatorKeywords" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FFAA4400" Italic="False" Language="C#" Name="Char" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FFAA4400" Italic="False" Language="C#" Name="String" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="NamespaceKeywords" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="CheckedKeyword" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF000000" Italic="False" Language="C#" Name="SemanticError" Underline="True" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Foreground="{x:Null}" Bold="False" Italic="False" Language="C#" Name="FieldAccess" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0088AA" Italic="False" Language="C#" Name="EnumTypes" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0088AA" Italic="False" Language="C#" Name="ValueTypes" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0088AA" Italic="False" Language="C#" Name="DelegateTypes" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0088AA" Italic="False" Language="C#" Name="TypeParameters" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0088AA" Italic="False" Language="C#" Name="InterfaceTypes" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0088AA" Italic="False" Language="C#" Name="ReferenceTypes" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="TypeKeywords" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="TrueFalse" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="Visibility" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="Modifiers" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="ParameterModifiers" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="UnsafeKeywords" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="ExceptionKeywords" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="QueryKeywords" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="GotoKeywords" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="NullOrValueKeywords" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="Keywords" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="ThisOrBaseReference" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="ReferenceTypeKeywords" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="ValueTypeKeywords" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF0044FF" Italic="False" Language="C#" Name="GetSetAddRemove" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF000000" Italic="False" Language="C#" Name="MethodCall" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
    <SerializedObject>
      <CustomizedHighlightingColor Background="{x:Null}" Bold="False" Foreground="#FF000000" Italic="False" Language="C#" Name="NumberLiteral" Underline="False" xmlns="clr-namespace:ICSharpCode.AvalonEdit.AddIn;assembly=ICSharpCode.AvalonEdit.AddIn" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" />
    </SerializedObject>
  </Array>
  <Properties key="CSharpIssueSeveritySettings">
    <Property key="ICSharpCode.NRefactory.CSharp.Refactoring.SuggestUseVarKeywordEvidentIssue">None</Property>
    <Property key="ICSharpCode.NRefactory.CSharp.Refactoring.FieldCanBeMadeReadOnlyIssue">None</Property>
  </Properties>
  <Properties key="CSharpFormatting">
    <SerializedObject key="IsBuiltIn">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="IndentNamespaceBody">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="IndentClassBody">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="IndentInterfaceBody">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="IndentStructBody">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="IndentEnumBody">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="IndentMethodBody">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="IndentPropertyBody">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="IndentEventBody">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="IndentBlocks">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="IndentSwitchBody">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="IndentCaseBody">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="IndentBreakStatements">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="AlignEmbeddedStatements">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="AlignElseInIfStatements">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="AutoPropertyFormatting">
      <PropertyFormatting xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">AllowOneLine</PropertyFormatting>
    </SerializedObject>
    <SerializedObject key="SimplePropertyFormatting">
      <PropertyFormatting xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">AllowOneLine</PropertyFormatting>
    </SerializedObject>
    <SerializedObject key="EmptyLineFormatting">
      <EmptyLineFormatting xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotIndent</EmptyLineFormatting>
    </SerializedObject>
    <SerializedObject key="IndentPreprocessorDirectives">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="AlignToMemberReferenceDot">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="IndentBlocksInsideExpressions">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="NamespaceBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="ClassBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="InterfaceBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="StructBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="EnumBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="MethodBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="AnonymousMethodBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="ConstructorBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="DestructorBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="PropertyBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="PropertyGetBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="PropertySetBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="SimpleGetBlockFormatting">
      <PropertyFormatting xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">AllowOneLine</PropertyFormatting>
    </SerializedObject>
    <SerializedObject key="SimpleSetBlockFormatting">
      <PropertyFormatting xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">AllowOneLine</PropertyFormatting>
    </SerializedObject>
    <SerializedObject key="EventBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="EventAddBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="EventRemoveBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="AllowEventAddBlockInline">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="AllowEventRemoveBlockInline">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="StatementBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="AllowIfBlockInline">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="AllowOneLinedArrayInitialziers">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="ElseNewLinePlacement">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NewLine</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="ElseIfNewLinePlacement">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">SameLine</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="CatchNewLinePlacement">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NewLine</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="FinallyNewLinePlacement">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NewLine</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="WhileNewLinePlacement">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotCare</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="EmbeddedStatementPlacement">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NewLine</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeMethodDeclarationParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBetweenEmptyMethodDeclarationParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeMethodDeclarationParameterComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterMethodDeclarationParameterComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceWithinMethodDeclarationParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeMethodCallParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBetweenEmptyMethodCallParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeMethodCallParameterComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterMethodCallParameterComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceWithinMethodCallParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeFieldDeclarationComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterFieldDeclarationComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeLocalVariableDeclarationComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterLocalVariableDeclarationComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeConstructorDeclarationParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBetweenEmptyConstructorDeclarationParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeConstructorDeclarationParameterComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterConstructorDeclarationParameterComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceWithinConstructorDeclarationParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="NewLineBeforeConstructorInitializerColon">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NewLine</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="NewLineAfterConstructorInitializerColon">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">SameLine</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeIndexerDeclarationBracket">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceWithinIndexerDeclarationBracket">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeIndexerDeclarationParameterComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterIndexerDeclarationParameterComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeDelegateDeclarationParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBetweenEmptyDelegateDeclarationParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeDelegateDeclarationParameterComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterDelegateDeclarationParameterComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceWithinDelegateDeclarationParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeNewParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeIfParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeWhileParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeForParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeForeachParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeCatchParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeSwitchParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeLockParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeUsingParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAroundAssignment">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAroundLogicalOperator">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAroundEqualityOperator">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAroundRelationalOperator">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAroundBitwiseOperator">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAroundAdditiveOperator">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAroundMultiplicativeOperator">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAroundShiftOperator">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAroundNullCoalescingOperator">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterUnsafeAddressOfOperator">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterUnsafeAsteriskOfOperator">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAroundUnsafeArrowOperator">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinIfParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinWhileParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinForParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinForeachParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinCatchParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinSwitchParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinLockParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinUsingParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinCastParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinSizeOfParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeSizeOfParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinTypeOfParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinNewParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesBetweenEmptyNewParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeNewParameterComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterNewParameterComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeTypeOfParentheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinCheckedExpressionParantheses">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeConditionalOperatorCondition">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterConditionalOperatorCondition">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeConditionalOperatorSeparator">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterConditionalOperatorSeparator">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesWithinBrackets">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpacesBeforeBrackets">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeBracketComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterBracketComma">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeForSemicolon">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterForSemicolon">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceAfterTypecast">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeArrayDeclarationBrackets">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceInNamedArgumentAfterDoubleColon">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="RemoveEndOfLineWhiteSpace">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="SpaceBeforeSemicolon">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="MinimumBlankLinesBeforeUsings">
      <x:Int32 xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">0</x:Int32>
    </SerializedObject>
    <SerializedObject key="MinimumBlankLinesAfterUsings">
      <x:Int32 xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">1</x:Int32>
    </SerializedObject>
    <SerializedObject key="MinimumBlankLinesBeforeFirstDeclaration">
      <x:Int32 xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">0</x:Int32>
    </SerializedObject>
    <SerializedObject key="MinimumBlankLinesBetweenTypes">
      <x:Int32 xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">1</x:Int32>
    </SerializedObject>
    <SerializedObject key="MinimumBlankLinesBetweenFields">
      <x:Int32 xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">0</x:Int32>
    </SerializedObject>
    <SerializedObject key="MinimumBlankLinesBetweenEventFields">
      <x:Int32 xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">0</x:Int32>
    </SerializedObject>
    <SerializedObject key="MinimumBlankLinesBetweenMembers">
      <x:Int32 xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">1</x:Int32>
    </SerializedObject>
    <SerializedObject key="MinimumBlankLinesAroundRegion">
      <x:Int32 xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">1</x:Int32>
    </SerializedObject>
    <SerializedObject key="MinimumBlankLinesInsideRegion">
      <x:Int32 xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">1</x:Int32>
    </SerializedObject>
    <SerializedObject key="KeepCommentsAtFirstColumn">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">True</x:Boolean>
    </SerializedObject>
    <SerializedObject key="ArrayInitializerWrapping">
      <Wrapping xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotChange</Wrapping>
    </SerializedObject>
    <SerializedObject key="ArrayInitializerBraceStyle">
      <BraceStyle xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NextLine</BraceStyle>
    </SerializedObject>
    <SerializedObject key="ChainedMethodCallWrapping">
      <Wrapping xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotChange</Wrapping>
    </SerializedObject>
    <SerializedObject key="MethodCallArgumentWrapping">
      <Wrapping xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotChange</Wrapping>
    </SerializedObject>
    <SerializedObject key="NewLineAferMethodCallOpenParentheses">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotCare</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="MethodCallClosingParenthesesOnNewLine">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotCare</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="IndexerArgumentWrapping">
      <Wrapping xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotChange</Wrapping>
    </SerializedObject>
    <SerializedObject key="NewLineAferIndexerOpenBracket">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotCare</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="IndexerClosingBracketOnNewLine">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotCare</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="MethodDeclarationParameterWrapping">
      <Wrapping xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotChange</Wrapping>
    </SerializedObject>
    <SerializedObject key="NewLineAferMethodDeclarationOpenParentheses">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotCare</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="MethodDeclarationClosingParenthesesOnNewLine">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotCare</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="IndexerDeclarationParameterWrapping">
      <Wrapping xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotChange</Wrapping>
    </SerializedObject>
    <SerializedObject key="NewLineAferIndexerDeclarationOpenBracket">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotCare</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="IndexerDeclarationClosingBracketOnNewLine">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">DoNotCare</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="AlignToFirstIndexerArgument">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="AlignToFirstIndexerDeclarationParameter">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="AlignToFirstMethodCallArgument">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="AlignToFirstMethodDeclarationParameter">
      <x:Boolean xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">False</x:Boolean>
    </SerializedObject>
    <SerializedObject key="NewLineBeforeNewQueryClause">
      <NewLinePlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">NewLine</NewLinePlacement>
    </SerializedObject>
    <SerializedObject key="UsingPlacement">
      <UsingPlacement xmlns="clr-namespace:ICSharpCode.NRefactory.CSharp;assembly=ICSharpCode.NRefactory.CSharp">TopOfFile</UsingPlacement>
    </SerializedObject>
  </Properties>
  <Properties key="WorkbenchMemento">
    <Property key="WindowState">Normal</Property>
    <Property key="Bounds">204,82,1443,839</Property>
  </Properties>
  <Property key="TreeViewOptionsDialog.WindowBounds">78,77,733,482</Property>
  <Property key="TreeViewOptionsDialog.LastOpenedPanelID">AddInManager2/AddInRepositories</Property>
  <Array key="DisabledContextActionProviders">
    <Element>ICSharpCode.NRefactory.CSharp.Refactoring.ChangeAccessModifierAction</Element>
    <Element>ICSharpCode.NRefactory.CSharp.Refactoring.GenerateGetterAction</Element>
    <Element>ICSharpCode.NRefactory.CSharp.Refactoring.GeneratePropertyAction</Element>
    <Element>ICSharpCode.NRefactory.CSharp.Refactoring.IterateViaForeachAction</Element>
    <Element>ICSharpCode.NRefactory.CSharp.Refactoring.RemoveBracesAction</Element>
    <Element>ICSharpCode.NRefactory.CSharp.Refactoring.SortUsingsAction</Element>
    <Element>ICSharpCode.NRefactory.CSharp.Refactoring.UseVarKeywordAction</Element>
  </Array>
  <Property key="SharpDevelop.LoadDocumentProperties">True</Property>
  <Property key="Dialogs.NewProjectDialog.CreateDirectoryForSolution">False</Property>
  <Properties key="SearchAndReplaceProperties2">
    <Property key="LookInFiletypes">*.*</Property>
    <Property key="MatchCase">True</Property>
    <Property key="MatchWholeWord">False</Property>
    <Property key="IncludeSubdirectories">False</Property>
    <Property key="SearchMode">Normal</Property>
    <Property key="SearchTarget">CurrentDocument</Property>
  </Properties>
  <Property key="ICSharpCode.SharpDevelop.Gui.GotoDialog.Bounds">495,333,578,298</Property>
  <Property key="Debugger.PauseOnHandledExceptions">True</Property>
</Properties>